/* Color.h declares enumeration Color and its operations.
 * ...
 */

#include <iostream>                       // istream, ostream
using namespace std;


enum Color {COLOR_UNDERFLOW = -1,         // too-low error
            RED, ORANGE, YELLOW, GREEN,   // 0-3
            BLUE, INDIGO, VIOLET,         // 4-6
            COLOR_OVERFLOW,               // too-high error
            NUMBER_OF_COLORS = 7}; 
            
// ------ compute wavelength of a given Color ---------------            
double wavelength(Color aColor);

// ------ extract a Color from an istream -------------------          
istream& operator>>(istream& in, Color& aColor);

// ------ insert a Color into an ostream --------------------         
ostream& operator<<(ostream& out, Color aColor);

// ------- Color Successor ----------------------------------
Color next(Color aColor);
